Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.util

# Class IOUtils

java.lang.Object
org.firebirdsql.jaybird.util.IOUtils

public final class IOUtils extends Object
Utility methods for stream and byte array conversions.

Since:
  3.0
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`toBytes(InputStream in)`
`static byte[]`
`toBytes(InputStream in, int length)`
`static String`
`toString(Reader in)`
`static String`
`toString(Reader in, int length)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### toBytes

public static byte[] toBytes(InputStream in, int length) throws IOException

Throws:
  `IOException`

### toBytes

public static byte[] toBytes(InputStream in) throws IOException

Throws:
  `IOException`

### toString

public static String toString(Reader in, int length) throws IOException

Throws:
  `IOException`

### toString

public static String toString(Reader in) throws IOException

Throws:
  `IOException`